Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray2.photonmap
Class OptionReader

    java.lang.Object
      de.grogra.ray2.photonmap.OptionReader

    public class OptionReader

extends java.lang.Object

Reads all Photon Map parameter from the registry and checks if values where changed.

Author:
  Ralf Kopsch

Constructor Summary
`OptionReader(PixelwiseRenderer renderer)` This Constructor reads all Photon Map parameter from the registry.

Method Summary
`void` | `calcFinished(Scene scene)` Call this after the the photon map was created to update the values.
`int` | `getCausticPhotonCount()` Returns the caustic photon count.
`int` | `getGlobalPhotonCount()` Returns the global photon count.
`double` | `getPhotonArea()` Returns the photon scan area.
`int` | `getPhotonDepth()` Returns the recursion depth.
`boolean` | `isPhotonMapCalcNeeded(Scene scene)` Returns true, if new Photon map must be calculated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptionReader

    public OptionReader(PixelwiseRenderer renderer)

  This Constructor reads all Photon Map parameter from the registry.

  Parameters:
    `renderer` - the PixelwiseRenderer

Method Detail

### calcFinished

    public void calcFinished(Scene scene)

  Call this after the the photon map was created to update the values.

  Parameters:
    `scene` - the scene object.

### getCausticPhotonCount

    public int getCausticPhotonCount()

  Returns the caustic photon count.

  Returns:
    Returns the caustic photon count.

### getGlobalPhotonCount

    public int getGlobalPhotonCount()

  Returns the global photon count.

  Returns:
    Returns the global photon count.

### getPhotonArea

    public double getPhotonArea()

  Returns the photon scan area.

  Returns:
    Returns the photon scan area.

### getPhotonDepth

    public int getPhotonDepth()

  Returns the recursion depth.

  Returns:
    Returns the recursion depth.

### isPhotonMapCalcNeeded

    public boolean isPhotonMapCalcNeeded(Scene scene)

  Returns true, if new Photon map must be calculated.

  Parameters:
    `scene` - the Scene.
  Returns:
    true, if new Photon map must be calculated.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD